Activate

Activate a card.

Request Path Parameters

ParameterTypeLimitsRequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
profileNumberString1-20 characters✓Profile number linked with this card
cardIdentifierString1-20 characters✓The card number, sequence number or tracking number of the specified card
dateActivatesDate1-20 characters✓The date from which the activation should be processed.
activationKeyString1-255 charactersA key to validate a client activation.
activationDataString1-255 charactersCustom data to associate with the activation.
transactionIDString1-255 characters✓Transaction ID number generated by the calling client.
transactionDateDate✓Transaction date generated by the calling client.
checksumString✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
  <methodName>Activate</methodName>
  <params>
    <param>
      <value>
        <string>0007654321</string>
      </value>
    </param>
    <param>
      <value>
        <string>8123456789</string>
      </value>
    </param>
    <param>
      <value>
        <string>765432100051234</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20220823T08:08:37</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>activationKey</string>
      </value>
    </param>
    <param>
      <value>
        <string>activationData</string>
      </value>
    </param>
    <param>
      <value>
        <string>4123456</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20220823T08:08:37</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>1ab2ca3def456e789add876cc5b0d4f03c2f6cba</string>
      </value>
    </param>
  </params>
</methodCall>

Response Parameters

ParametertypeDescription
terminalIDStringEcho of incoming value.
cardNumberStringNumber of the card found using the cardIdentifier.
clientTransactionIDStringEcho of incoming value.
serverTransactionIDDateTransaction ID generated by Paymentology.
resultCodeIntegerStatus code indicating transaction result.
resultTextStringText indicating transaction result.
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>clientTransactionID</name>
            <value>
              <string>4123456</string>
            </value>
          </member>
          <member>
            <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
          </member>
          <member>
            <name>terminalID</name>
            <value>
              <string>0007654321</string>
            </value>
          </member>
          <member>
            <name>cardNumber</name>
            <value>
              <string>5231234512123458</string>
            </value>
          </member>
          <member>
            <name>resultText</name>
            <value>
              <string>OK</string>
            </value>
          </member>
          <member>
            <name>serverTransactionID</name>
            <value>
              <string>3269587452-0456F8BE412A455F0JKI52369236540E4EF86E1A</string>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>